﻿@model ListKong.Models.InventoryModel
@using  System.Data;
@{
    ViewData["Title"] = "AddProject";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/js/InventoryPage.js"></script>
<div class="container-fluid" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">
        <ol class="breadcrumb">
            <li><a asp-controller="Inventory" asp-action="Index"><i class="fa fa-dashboard"></i><span class="icon-after-span">Manage Inventory</span></a></li>
            <li class="active">Add Inventory</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">

            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="box-title">Add Inventory</h4>
                </div>
                <form asp-action="AddInventory" enctype="multipart/form-data" method="post">
                    <div class="panel-body table-responsive">
                        <div class="col-md-12">
                            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                            @if (!string.IsNullOrEmpty(Convert.ToString(ViewData["ErrorMessage"])))
                            {
                                <div class="alert alert-danger">  @ViewData["ErrorMessage"]</div>
                                <script>
                                    $(function () {
                                        setTimeout(function () { hideTarget(); }, 5000);
                                    });
                                    function hideTarget() {
                                        $(".alert").hide();
                                    }
                                </script>
                            }
                            @if (!string.IsNullOrEmpty(Convert.ToString(ViewData["SuccessMessage"])))
                            {
                                <div class="alert alert-success">  @ViewData["SuccessMessage"]</div>
                                <script>
                                    $(function () {
                                        setTimeout(function () { hideTarget(); }, 5000);
                                    });
                                    function hideTarget() {
                                        $(".alert").hide();
                                    }
                                </script>
                            }

                            <div class="col-md-6">
                                <input type="hidden" asp-for="InvCompanyID" class="form-control" />
                                <label asp-for="CompanyName" class="control-label"></label><span class="message-danger">Required</span>
                                <input asp-for="CompanyName" class="form-control" style="pointer-events:none;" />
                                <span asp-validation-for="CompanyName" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="LocationName" class="control-label"></label><span class="message-danger">Required</span>
                                @*@if (User.IsInRole("Admin"))
                                {*@
                                    <select asp-for="InvLocationID" id="InvLocationID" class="form-control ddlcompanyLocation">
                                        <option value="">-- Choose One --</option>
                                        @{
                                            DataTable dt;
                                            if (ViewData["LocationByCompany"] != null)
                                            {
                                                dt = (DataTable)ViewData["LocationByCompany"];

                                                for (int i = 0; i < dt.Rows.Count; i++)
                                                {
                                                    <option value="@dt.Rows[i]["LocationId"]">@dt.Rows[i]["LocationName"]</option>
                                                }
                                            }
                                        }
                                    </select>
                                    <input asp-for="LocationName" type="hidden" />
                                    @* }
            else
            {
                <input asp-for="LocationName" class="form-control" readonly />
                <input asp-for="InvLocationID" type="hidden" />
            }*@
                                    <span asp-validation-for="LocationName" class="text-danger"></span>

                                </div>

                            <div class="col-md-6">
                                <label asp-for="InvName" class="control-label"></label><span class="message-danger">Required</span>
                                <input asp-for="InvName" class="form-control" />
                                <span asp-validation-for="InvName" class="text-danger"></span>
                            </div>


                            <div class="col-md-6">
                                <label asp-for="ConditionId" class="control-label"></label><span class="message-danger">Required</span>
                                <select asp-for="ConditionId" id="MainColorId" class="form-control ddlcolor">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dtCondition;
                                        if (ViewData["InventoryConditionList"] != null)
                                        {
                                            dtCondition = (DataTable)ViewData["InventoryConditionList"];

                                            for (int i = 0; i < dtCondition.Rows.Count; i++)
                                            {
                                                <option value="@dtCondition.Rows[i]["Id"]">@dtCondition.Rows[i]["Name"]</option>
                                            }
                                        }
                                    }
                                </select>
                                <span asp-validation-for="ConditionId" class="text-danger"></span>
                            </div>

                            <div class="col-md-6">
                                <label asp-for="MainColorId" class="control-label"></label><span class="message-danger">Required</span>
                                <select asp-for="MainColorId" id="MainColorId" class="form-control ddlMaincolor">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dtMainColor;
                                        if (ViewData["Colors"] != null)
                                        {
                                            dtMainColor = (DataTable)ViewData["Colors"];

                                            for (int i = 0; i < dtMainColor.Rows.Count; i++)
                                            {
                                                <option value="@dtMainColor.Rows[i]["Id"]">@dtMainColor.Rows[i]["Name"]</option>
                                            }
                                            <option value="-1">Other</option>
                                        }
                                    }
                                </select>
                                <span asp-validation-for="MainColorId" class="text-danger"></span>
                            </div>
                            <div class="col-md-6" id="otherMainColorDiv" style="display:none;">
                                <label asp-for="OtherMainColor" class="control-label"></label><span class="message-danger">Required</span>
                                <input asp-for="OtherMainColor" class="form-control" />
                            </div>
                            <div class="col-md-6">
                                <label asp-for="InvBrandId" class="control-label"></label><span class="message-danger">Required</span>
                                <select asp-for="InvBrandId" id="InvBrandId" class="form-control ddlbrand">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dtInvBrand;
                                        if (ViewData["Brands"] != null)
                                        {
                                            dtInvBrand = (DataTable)ViewData["Brands"];

                                            for (int i = 0; i < dtInvBrand.Rows.Count; i++)
                                            {
                                                <option value="@dtInvBrand.Rows[i]["Id"]">@dtInvBrand.Rows[i]["Name"]</option>
                                            }
                                            <option value="-1">Other</option>
                                        }
                                    }
                                </select>
                                <span asp-validation-for="InvBrandId" class="text-danger"></span>
                            </div>
                            <div class="col-md-6" id="otherBrandDiv" style="display:none;">
                                <label asp-for="OtherBrand" class="control-label"></label><span class="message-danger">Required</span>
                                <input asp-for="OtherBrand" class="form-control" />
                            </div>
                            <div class="col-md-6">
                                <label asp-for="SecondColorId" class="control-label"></label>
                                <select asp-for="SecondColorId" id="SecondColorId" class="form-control ddSecondarylcolor">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dtSecondColor;
                                        if (ViewData["Colors"] != null)
                                        {
                                            dtSecondColor = (DataTable)ViewData["Colors"];

                                            for (int i = 0; i < dtSecondColor.Rows.Count; i++)
                                            {
                                                <option value="@dtSecondColor.Rows[i]["Id"]">@dtSecondColor.Rows[i]["Name"]</option>
                                            }
                                            <option value="-1">Other</option>
                                        }
                                    }
                                </select>
                                <span asp-validation-for="SecondColorId" class="text-danger"></span>
                            </div>
                            <div class="col-md-6" id="otherSecondaryColorDiv" style="display:none;">
                                <label asp-for="OtherSecondaryColor" class="control-label"></label><span class="message-danger">Required</span>
                                <input asp-for="OtherSecondaryColor" class="form-control" />
                            </div>


                            <div class="col-md-6">
                                <label asp-for="InvModelName" class="control-label"></label>
                                <input asp-for="InvModelName" class="form-control" />
                                <span asp-validation-for="InvModelName" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="InvModelNumber" class="control-label"></label>
                                <input asp-for="InvModelNumber" class="form-control" />
                                <span asp-validation-for="InvModelNumber" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="InvShape" class="control-label"></label>
                                <input asp-for="InvShape" class="form-control" />
                                <span asp-validation-for="InvShape" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="ItemSeparateCustomersPurchase" class="control-label"></label>
                                <input type="number" asp-for="ItemSeparateCustomersPurchase" class="form-control" />
                                <span asp-validation-for="ItemSeparateCustomersPurchase" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="ItemIncludedInOnePurchase" class="control-label"></label>
                                <input type="number" asp-for="ItemIncludedInOnePurchase" class="form-control" />
                                <span asp-validation-for="ItemIncludedInOnePurchase" class="text-danger"></span>
                            </div>

                            <div class="col-md-6">
                                <label style="width:100%;" class="control-label">Size (H x W X D - Inches)<span class="message-danger">Required</span></label>
                                <input asp-for="Height" placeholder="Height" class="form-control size" />
                                <input asp-for="Width" placeholder="Width" class="form-control size size-margin-left" />
                                <input asp-for="Depth" placeholder="Depth" class="form-control size size-margin-left" />

                                <span asp-validation-for="Height" class="text-danger"></span>
                                <span asp-validation-for="Width" class="text-danger size-margin-left-error"></span>
                                <span asp-validation-for="Depth" class="text-danger size-margin-left-error"></span>
                            </div>

                            <div class="col-md-6">
                                <label class="control-label" style="width:100%;">Weight (Pounds / Ounces)<span class="message-danger">Required</span></label>
                                <input type="number" asp-for="WeightInPound" min="0" value="0" class="form-control weight" />
                                <input type="number" value="1" min="1" asp-for="WeightInInches" class="form-control weight weight-margin-left" />
                                <span asp-validation-for="WeightInPound" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="AnyDamage" class="control-label"></label>
                                <textarea asp-for="AnyDamage" class="form-control"></textarea>
                                <span asp-validation-for="AnyDamage" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="AdditionalNotes" class="control-label"></label>
                                <textarea asp-for="AdditionalNotes" class="form-control"></textarea>
                                <span asp-validation-for="AdditionalNotes" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <div style="width:100%;">
                                    <label asp-for="StorageLocationLsle"  class="control-label"></label><span class="message-danger">Required</span>
                                </div>                            
    @*<textarea asp-for="InvLocation" class="form-control"></textarea>
        <span asp-validation-for="InvLocation" class="text-danger"></span>*@
                                <input asp-for="StorageLocationLsle" maxlength="20" placeholder="lsle" class="form-control size" />
                                <input asp-for="StorageLocationColumn" maxlength="20" placeholder="Column" class="form-control size size-margin-left" />
                                <input asp-for="StorageLocationRow" maxlength="20" placeholder="Row" class="form-control size size-margin-left" />

                                <span asp-validation-for="StorageLocationLsle" class="text-danger"></span>
                                <span asp-validation-for="StorageLocationColumn" class="text-danger size-margin-left-error"></span>
                                <span asp-validation-for="StorageLocationRow" class="text-danger size-margin-left-error"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="InvDesc" class="control-label"></label><span class="message-danger">Required</span>
                                <textarea asp-for="InvDesc" class="form-control"></textarea>
                                <span asp-validation-for="InvDesc" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="Descriptor1" class="control-label"></label>
                                <textarea asp-for="Descriptor1" class="form-control"></textarea>
                                <span asp-validation-for="Descriptor1" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="Descriptor2" class="control-label"></label>
                                <textarea asp-for="Descriptor2" class="form-control"></textarea>
                                <span asp-validation-for="Descriptor2" class="text-danger"></span>
                            </div>
                            <div class="col-md-6">
                                <label asp-for="Descriptor3" class="control-label"></label>
                                <textarea asp-for="Descriptor3" class="form-control"></textarea>
                                <span asp-validation-for="Descriptor3" class="text-danger"></span>
                            </div>
                            <hr />
                            <div id="imagesDiv" class="col-md-12" style="border: 2px solid lightgray; margin-top: 25px;">
                                <input type="hidden" id="hdnImagesCount" value="1" />
                                <div class="row" style="margin-top:20px;margin-bottom:20px;">
                                    <div class="col-md-6">
                                        <label class="control-label">
                                            Inventory Pic 1 <span class="message-danger">Required</span>
                                            <span asp-validation-for="InventoryImage1" class="text-danger"></span>
                                        </label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage1" class="form-control" style="width:85%;" />

                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 2</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage2" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage2" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 3</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage3" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage3" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 4</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage4" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage4" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 5</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage5" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage5" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 6</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage6" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage6" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 7</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage7" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage7" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 8</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage8" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage8" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 9</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage9" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage9" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 10</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage10" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage10" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 11</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage11" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage11" class="text-danger"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label class="control-label"> Inventory Pic 12</label>
                                        <div class="row" style="margin-left:0px;">
                                            <input type="file" asp-for="InventoryImage12" class="form-control" style="width:85%;" />
                                            <span asp-validation-for="InventoryImage12" class="text-danger"></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="box-footer col-md-12">
                                <div class="checkbox icheck">
                                    <input type="submit" value="Add Inventory" class="btn btn-primary" />
                                </div>
                                <div class="footer-listing">
                                    <a style="text-align:right" asp-controller="Inventory" asp-action="Index"><i class="os-icon os-icon-signs-11"></i><span>Back to List</span></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </section>
</div>

